package com.ximai.mes.pro.domain.prototypeMake;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 样品制作工序物料对象 pro_prototype_make_process_item
 *
 * @author yinjinlu
 * @date 2024-01-20
 */
public class ProPrototypeMakeProcessItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long prototypeMakeProcessItemId;

    /** 样品制作工序ID */
    @Excel(name = "样品制作工序ID")
    private Long prototypeMakeProcessId;

    /** 产品物料ID */
    @Excel(name = "产品物料ID")
    private Long itemId;

    @Excel(name = "物料name")
    private String  itemName;

    /** 单位 */
    @Excel(name = "单位")
    private String unitOfMeasure;

    /** 用料比例 */
    @Excel(name = "用料比例")
    private Long quantity;

    public void setPrototypeMakeProcessItemId(Long prototypeMakeProcessItemId)
    {
        this.prototypeMakeProcessItemId = prototypeMakeProcessItemId;
    }

    public Long getPrototypeMakeProcessItemId()
    {
        return prototypeMakeProcessItemId;
    }
    public void setPrototypeMakeProcessId(Long prototypeMakeProcessId)
    {
        this.prototypeMakeProcessId = prototypeMakeProcessId;
    }

    public Long getPrototypeMakeProcessId()
    {
        return prototypeMakeProcessId;
    }
    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId()
    {
        return itemId;
    }
    public void setUnitOfMeasure(String unitOfMeasure)
    {
        this.unitOfMeasure = unitOfMeasure;
    }

    public String getUnitOfMeasure()
    {
        return unitOfMeasure;
    }
    public void setQuantity(Long quantity)
    {
        this.quantity = quantity;
    }

    public Long getQuantity()
    {
        return quantity;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prototypeMakeProcessItemId", getPrototypeMakeProcessItemId())
            .append("prototypeMakeProcessId", getPrototypeMakeProcessId())
            .append("itemId", getItemId())
            .append("unitOfMeasure", getUnitOfMeasure())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
